Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have some old applications which are running on SCO Open Server 5.0.5, and i would love to move them to SCO Open Server 5.0.7 and on modern hardware(servers), currently am running SCO on old IBM PL 300 personal computer, on 92MB Memory, one processor, and it has been serving the clients pretty well.

Now i have New Modern IBM xseries Servers and i would love to migrate the same applications to those new servers. Problem is, SCO 5.0.5 is unable to detect some of the hardware components in the new servers.

I read somewhere that SCO 5.0.7 is able to detect the newer hardware even the USB ports etc.

Is there anyone running SCO Openserver out there, and on what hardware architecture are they running on?

Gath

share|improve this question

closed as not constructive by mgorven, sysadmin1138 Jun 27 '12 at 2:04

As it currently stands, this question is not a good fit for our Q&A format. We expect answers to be supported by facts, references, or expertise, but this question will likely solicit debate, arguments, polling, or extended discussion. If you feel that this question can be improved and possibly reopened, visit the help center for guidance.If this question can be reworded to fit the rules in the help center, please edit the question.

add comment

5 Answers 5

SCO Openserver 5.0.6 on Dell PowerEdge 1400.

SCO Openserver 5.0.7 on VMWare ESXi 4.0

share|improve this answer
add comment

I have recently installed OpenServer 6.0 on a Dell PowerEdge T610

I have OpenServer 5.0.7 running on old Proliant hardware.

I have OpenServer 5.0.6 running as a guest OS under VMWare Server on CentOS 5.5 on an IBM x3200 M4

5.0.7 has some limited USB support, 6.0 supports a wider range of USB devices.

My approach to buying hardware for OpenServer is to check SCO's compatible hardware list, primarily for complete servers although they do certify individual components. Given the current litigation and chapter 11, IBM are unlikely to submit hardware for certification and SCO Group don't seem to have the resources for certifying hardware that they used to have, though they may have been outsourcing this work to some extent. This makes finding compatible hardware more troublesome than it was five or ten years ago.

Your 5.0.5 apps will almost certainly run fine on 5.0.7 and will probably run on 6.0 without problems. In the past Linux had some OpenServer ABI support but I've not recently heard of anyone having success with this.

It seems to me that VM is the way forward for running OpenServer on new hardware. I've tried VMware server (available at no cost). I've read reports of some success with KVM/QEMU and VirtualPC.

share|improve this answer
add comment

SCO Openserver 5.0.7 will run quite happily on HP gear do a search on SCO certification. For example a DL380 G4 will run 5.0.7 -watch the NIC gotcha

share|improve this answer
add comment

I'm no SCO expert, but since it's such an oldie, how about a virtualized OS? KVM/QEMU would be my first choice

share|improve this answer
add comment

When our SCO OS 5.0.6 machine died (300mhz PII, 128MB RAM) a couple years ago, we had to hit the spare parts bin hard to find anything that would run 5.0.7. Finally got it up and running on an old P4 1.6ghz box with an Adaptec SCSI controller (I think we got it to work with a 29160, if not that we had to step down to a 2940. Either way, I know that a 39160 and a 2100S RAID controller wouldn't work).

We decided right then and there that it was waaaaay past time to get our software ported to another OS.

share|improve this answer
add comment